/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsBanner.stories.tsx
 * @description NsBanner component.
 */

import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';

import Banner from './';
import Typography from '../typography';
import Button from '../button/NsButton';

export default {
    title: 'Components',
    component: Banner,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        children: {
            control: 'text', // use the text control to edit children prop
        },
    },
    args: {
        imageUrl: 'https://media.nuskin.com/m/e2f6d26058b2e7d/webimage-us-collagen-strawberry-hompage-banner.png',
        altText: 'NsBanner',
        alignment: 'center',
        justify: 'start',
        children: (
            <div>
                <Typography className="w-80" variant="h1" colorOverride="#000000">
                    Limited time offers on LumiSpa iO cleansers and bundles!
                </Typography>
                <Typography variant="p-m" className="my-5" colorOverride="#000000">
                    Learn more about what I do and how I can help you
                </Typography>
                <Button variant="contained">Contact me</Button>
            </div>
        ),
    },
} as ComponentMeta<typeof Banner>;

export const NsBanner: ComponentStory<typeof Banner> = (args) => <Banner {...args} />;
