import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import NsButton from './NsButton';
import { ShoppingCart } from '@mui/icons-material';

export default {
    title: 'Components/NsButton',
    component: NsButton,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        children: {
            control: 'text',
            name: 'Children/Content',
            defaultValue: 'Button',
        },
        color: { name: 'Color Variants' },
        disabled: { control: 'boolean' },
        fullWidth: { control: 'boolean' },
        iconOnly: { control: 'hide' },
    },
    args: {
        children: 'Button',
        color: 'primary',
        size: 'medium',
        disabled: false,
        variant: 'contained',
        fullWidth: false,
    },
} as ComponentMeta<typeof NsButton>;

export const button: ComponentStory<typeof NsButton> = (args) => <NsButton {...args} />;

export const IconOnlyButton: ComponentStory<typeof NsButton> = (args) => (
    <NsButton {...args} iconOnly>
        <ShoppingCart />
    </NsButton>
);

IconOnlyButton.argTypes = {
    children: {
        control: 'hide',
    },
    color: { name: 'Color Variants' },
    disabled: { control: 'boolean' },
    fullWidth: { control: 'hide' },
    size: { control: 'hide' },
    iconOnly: { control: 'hide' },
};
