import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import { NsCartIcon } from './';

export default {
    title: 'Components/NsCartIcon',
    component: NsCartIcon,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        itemCount: { control: 'number', defaultValue: 1 },
        size: { control: 'select', options: ['small', 'medium', 'large', 'xLarge'] },
        color: {
            control: 'select',
            options: ['primary', 'secondary', 'success', 'error', 'warning', 'info'],
        },
    },
    args: {
        itemCount: 1,
        color: 'primary',
        size: 'large',
    },
} as ComponentMeta<typeof NsCartIcon>;

export const CartIcon: ComponentStory<typeof NsCartIcon> = (args) => <NsCartIcon {...args} />;
