import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import { NsIcon } from './';

export default {
    title: 'Components/NsIcon',
    component: NsIcon,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        size: { control: 'select', options: ['small', 'medium', 'large', 'xLarge'] },
        name: {
            control: 'select',
            options: [
                'cart',
                'cartBadge',
                'checkShield',
                'checkVerified',
                'error',
                'infoFilled',
                'infoOutlined',
                'success',
                'trash',
            ],
        },
        color: {
            control: 'select',
            options: ['primary', 'secondary', 'success', 'error', 'warning', 'info'],
        },
    },
    args: {
        size: 'large',
        name: 'checkShield',
        color: 'success',
    },
} as ComponentMeta<typeof NsIcon>;

export const Icon: ComponentStory<typeof NsIcon> = (args) => <NsIcon {...args} />;
