import { IconContainer } from './NsIcon.styled';
import IconVariants from './IconMap';
import { NsIconProps } from './types';

const NsIcon = ({ name, size = 'large', color = 'primary', testId = 'icon' }: NsIconProps) => {
    const Icon = IconVariants[name];

    if (!Icon) {
        return null;
    }

    return (
        <IconContainer data-testid={testId} size={size}>
            <Icon color={color as any} />
        </IconContainer>
    );
};

export default NsIcon;
