import { ComponentMeta, ComponentStory } from '@storybook/react';
import { NsInputField } from '.';
import { NsInputFieldProps } from './types';
import NsIcon from '../icon/NsIcon';

export default {
    title: 'Components/NsInputField',
    component: NsInputField,
    args: {},
    argTypes: {
        fieldState: { control: 'select', options: ['default', 'success', 'error'] },
        value: { control: 'text' },
    },
} as ComponentMeta<typeof NsInputField>;

const Template: ComponentStory<typeof NsInputField> = (args: Omit<NsInputFieldProps, 'sx'>) => (
    <NsInputField {...args} />
);

export const Default = Template.bind({});

Default.args = {
    placeholder: 'enter text',
    disabled: false,
    fullWidth: false,
    value: 'Input value',
    fieldState: 'success',
    iconSide: <NsIcon name="trash" />,
};

export const WithLabel = Template.bind({});
WithLabel.args = {
    placeholder: 'enter text',
    disabled: false,
    fullWidth: false,
    value: 'Input value',
    label: 'Input Label',
};

export const WithOptionalLabel = Template.bind({});
WithOptionalLabel.args = {
    placeholder: 'enter text',
    disabled: false,
    fullWidth: false,
    value: 'Input value',
    label: 'Input Label',
    showOptional: true,
};
