import { NsIcon, NsIconNameType } from '../icon';
import { InputAdornment } from '@mui/material';
import { fieldStateType } from './types';

type IconMapType = {
    [key: string]: NsIconNameType;
};

const iconNameForFieldState: IconMapType = {
    error: 'error',
    success: 'success',
};

export const getAdornmentProps = (disabled: boolean, fieldState: fieldStateType) => {
    if (disabled) {
        return {};
    } else {
        if (fieldState === 'error' || fieldState === 'success') {
            return {
                endAdornment: (
                    <InputAdornment position="end">
                        <NsIcon name={iconNameForFieldState[fieldState]} />
                    </InputAdornment>
                ),
            };
        } else {
            return {};
        }
    }
};
