import { ComponentMeta, ComponentStory } from '@storybook/react';
import { NsLabel } from '.';
import { NsLabelProps } from './types';

export default {
    component: NsLabel,
    title: 'Components/NsLabel',
} as ComponentMeta<typeof NsLabel>;

const Template: ComponentStory<typeof NsLabel> = (args: NsLabelProps) => <NsLabel {...args} />;

export const Default = Template.bind({});
Default.args = {
    children: 'Label',
};

export const Optional = Template.bind({});
Optional.args = {
    children: 'Label',
    showOptional: true,
};

export const Required = Template.bind({});
Required.args = {
    children: 'Label',
    showOptional: true,
    required: true,
};
