import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import NsTypographyComponent from './NsTypography';

export default {
    title: 'Components/NsTypography',
    component: NsTypographyComponent,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        children: {
            control: 'text',
            name: 'Children/Text',
            defaultValue: 'Typography',
        },
    },
    args: {
        children: 'Typography',
        color: 'primary',
    },
} as ComponentMeta<typeof NsTypographyComponent>;

export const Typography: ComponentStory<typeof NsTypographyComponent> = (args) => <NsTypographyComponent {...args} />;
